#
# spec file for package perl-Locale-PO
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Locale-PO
Version:        0.27
Release:        1.1
%define cpan_name Locale-PO
Summary:        Perl module for manipulating .po entries from GNU gettext
License:        CHECK(GPL-1.0+ or Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Locale-PO/
Source0:        http://www.cpan.org/authors/id/C/CO/COSIMO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Slurp)
Requires:       perl(File::Slurp)
%{perl_requires}

%description
This module simplifies management of GNU gettext .po files and is an
alternative to using emacs po-mode. It provides an object-oriented
interface in which each entry in a .po file is a Locale::PO object.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Locale-PO/Changes
  0.27  Dec 15 2014
  - Fix RT#94231 (previous — fuzzy — msgid, #|). Thanks to Raphael Hertzog
    for reporting it. Added a test case now, but previous messages are
    treated like fuzzy messages, so use fuzzy_msgid().
  0.26  Dec 14 2014
  - Fix RT#42811 (don't add a flag twice). Thanks to Jason Sill for his
    bug report from 2009 (!). Jason, sorry and better late than never.
  0.25  Dec 14 2014
  - This release now should work reliably on Linux, MSWin32, msys and
    I believe also MacOS, also when writing PO files from one platform
    and reading them back on another. Hopefully :-)
  - Fix RT#99069 (\ not being escaped). Thanks to Jeff Fearn.
  - Fix RT#87374 (mixed
  handling problems). Thanks to Jason
    Fesler for the bug report.
  0.24  May 29 2014
  - Fix inline "
  " not being escaped properly. RT #96016
    Thanks to Jeff Fearn for bug report and patch.
  0.23  Feb 06 2013
  - Bugs RT#76366 and RT#54064 - Added encoding option. Now we can load & save
    PO files in any encoding, For example in 'utf8'. Added test about this.
    (patch by Perlover, based on patch from Zach)
  - Some code indenting inside.
  0.22  Sep 03 2012
  - New maintainer: Cosimo Streppone (COSIMO)
  - Bug RT#40009 Incorrect handling of multi-line obsolete entries
    (patch by Joshua Miller, test case by Cosimo Streppone)
  - Bug RT#66264 Added support for fuzzy string prefix "#|" and "#~|".
    (patch by Joshua Miller)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 12 2010 jw@novell.com
- needed by publican
- initial package 0.21
  * created by cpanspec 1.78.02
